#!/bin/sh
##
# Find email addresses in dropped files and directories
#
# This script will look in all the text files in the current directory
# including subdirectories and will find all email addresses. The list
# of addresses is then sorted and duplicate entries are removed, and the
# results are opened in the default text edtitor as determined via
# LaunchServices.
##

# EXTENSIONS  : "*"                     # Accepted file extentions
# OSTYPES     : "****"                  # Accepted file types
# ROLE        : None                    # Role (Editor, Viewer, None)
# SERVICEMENU : Find Email Addresses    # Name of Service menu item

egrep \
    --recursive \
    --binary-files=without-match \
    --only-matching \
    --no-filename \
    "[a-z][a-z|0-9|]*([_][a-z|0-9]+)*([.][a-z|0-9]+([_][a-z|0-9]+)*)?@[a-z][a-z|0-9|]*\.([a-z][a-z|0-9]*(\.[a-z][a-z|0-9]*)?)" \
     "$@" \
     | sort -u | open -f

osascript -e beep
